
{% extends '@ajax-layout/layout.twig' %}

{% block body %}
<script>
    $('#zoneError').hide();
    $("#modal-title").html('{{ 'Email aux fournisseurs' | trad }}');

    function sendForm(nomForm)
    {
        activeLoader();
        $.ajax({
            dataType : 'html',
            url : '{{ path("Consultation.GestionConsultation.envoieEmailCommunicationFournisseur", {"idAO":idAO}) }}',
            data:$('#'+ nomForm).serialize(),
            type: "POST",
            success: function (data) {
                $('#hideMe').hide();
                $('#zoneError').hide();
                $('#zoneInfo').html(data);
                $('#zoneInfo').show();
                $('#changeMe').html("{{ 'Fermer' | trad }}");
                $('.button.principal').hide();
                desactiveLoader();
            },
            error: function(data) {
                $('#zoneError').html(data.responseText);
                if (data.status != 445) {                    
                    $('#changeMe').html("{{ 'Fermer' | trad }}")
                    $('.button.principal').hide();
                }
                $('#zoneInfo').hide();
                $('#zoneError').show();
                desactiveLoader();
            }
        });
    }
</script>
	<div class="modal-body">
        <form method="post" name="form_com_fournisseur" id="form_com_fournisseur">
            <div class="single" id="hideMe">
                {{ inputAdvance('TEXT',{
                    titre: 'Sujet de l\'email' | trad,
                    name: 'EMAIL_SUBJECT',
                    value: post.EMAIL_SUBJECT,
                    pathValidator: path('Ajax.validator.isStringAvecEspace'),
                    paramsValidator: {sizeMin: 1, sizeMax: 100},
                }) }}
                {{ inputAdvance('TEXTAREA',{
                    titre: 'Corps' | trad,
                    'name' : 'EMAIL_BODY',
                    'value' : post.EMAIL_BODY,
                    'pathValidator'     : path('Ajax.validator.isStringAvecEspace'),
                    'paramsValidator'   : "{'sizeMin' : '0', 'sizeMax' : '3000'}",
                }) }}
                <p style="padding-top: 0.5em; font-style: italic">
                    {{"Votre signature sera ajoutée automatiquement à la fin de votre message." | trad}}
                </p>
            </div>
            <p id="zoneInfo"></p>
            <span id="zoneError" class="zoneError" ></span>
          	<div class="modal-footer">
                <button type="button" class="button secondaire" id="changeMe" data-dismiss="modal" onclick="desactivePopup ();">{{ 'Annuler' | trad }}</button>
                <button type="button" class="button principal" onclick="sendForm('form_com_fournisseur');">{{ 'Envoyer' | trad }}</button>
        	</div>
        </form>
	</div>

{% endblock %}